Searched refs:status (Results 1 - 25 of 109) sorted by relevance

12345

/ast/src/lib/libast/comp/
H A Dexecve.c52 int status;
56 for (status = 0; status < 64; status++)
57 signal(status, execsig);
58 while (waitpid(childpid, &status, 0) == -1)
60 if (WIFSIGNALED(status))
62 signal(WTERMSIG(status), SIG_DFL);
63 kill(getpid(), WTERMSIG(status));
66 else status
[all...]
H A Dwaitpid.c46 waitpid(pid_t pid, int* status, int flags)
48 return(wait4(pid, status, flags, NiL));
92 int status;
97 waitpid(pid_t pid, int* status, int flags)
121 if (status) *status = zp->status;
180 if (p == 0 && status) *status = s;
185 if (status) *statu
[all...]
/ast/src/lib/libcoshell/
H A Dsystem.c35 int status; local
47 * synthesize wait() status from shell status
51 status = cj->status;
52 if (EXITED_TERM(status))
53 status &= ((1<<(EXIT_BITS-1))-1);
55 status = (status & ((1<<EXIT_BITS)-1)) << EXIT_BITS;
56 return status;
[all...]
H A Dcoclose.c50 int status; local
64 if (waitpid(co->pid, &status, 0) != co->pid)
65 status = -1;
71 status = 0;
79 waitpid(sv->pid, &status, 0);
98 return status;
H A Dcokill.c54 cj->status = EXIT_TERM(sig);
61 cj->status = EXIT_TERM(sig);
/ast/src/lib/libast/misc/
H A Dprocclose.c28 * otherwise exit() status of process is returned
38 int status = -1; local
47 status = 0;
63 while ((pid = waitpid(p->pid, &status, flags)) == -1 && errno == EINTR);
65 status = 0;
87 status = status == -1 ?
89 WIFSIGNALED(status) ?
90 EXIT_TERM(WTERMSIG(status)) :
91 EXIT_CODE(WEXITSTATUS(status));
[all...]
H A Dftwalk.c112 x->status = FTS_SKIP;
117 os = e->status;
118 ns = e->status = e->path == e->fts_accpath ? FTW_PATH : FTW_NAME;
149 if (e->status == ns)
150 e->status = os;
/ast/src/cmd/pax/
H A Dtestpax.sh74 status=0
90 '') "$@" -wf ../old.$suf $fmt * || status=1 ;;
91 *) $tar cf ../old.$suf . || status=1 ;;
100 then "$@" -rf ../old.$suf || status=1
129 '') "$@" -wf ../new.$suf $fmt * || status=1 ;;
130 *) $tar cf ../new.$suf . || status=1 ;;
136 "$@" -rf new.$suf -wf old-new.$suf $fmt -z old.$suf || status=1
140 "$@" -rf old-new.$suf -z old.$suf -wf rep.$suf $fmt || status=1
146 "$@" -rf ../rep.$suf || status=1
149 case $status
[all...]
/ast/src/lib/libast/sfio/
H A Dsfpoll.c42 reg int *status, *check; local
47 if(!(status = (int*)malloc(2*n*sizeof(int))) )
49 check = status+n; /* streams that need polling */
62 status[r] = 0;
73 status[r] |= SF_READ;
76 status[r] |= SF_WRITE;
78 if((f->flags&SF_RDWR) == status[r])
86 { status[r] = m&SF_RDWR;
95 status[r] |= SF_READ;
97 status[
[all...]
/ast/src/lib/libcs/
H A Dcspoll.c118 pp->status = 0;
127 pp->status |= CS_POLL_CLOSE;
129 pp->status |= CS_POLL_CONTROL;
132 pp->status |= CS_POLL_READ;
135 pp->status |= CS_POLL_WRITE;
138 pp->status |= CS_POLL_CONTROL;
140 if (pp->status)
142 pp->status |= pp->events & (CS_POLL_AUTH|CS_POLL_CONNECT|CS_POLL_USER);
172 if (pp->status)
174 pp->status |
[all...]
/ast/src/lib/libast/regex/
H A Dregcache.c79 regcache(const char* pattern, regflags_t reflags, int* status) argument
107 if (status)
108 *status = i;
160 if (status)
161 *status = REG_ESPACE;
174 if (status)
175 *status = REG_ESPACE;
185 if (status)
186 *status = i;
195 if (status)
[all...]
/ast/src/cmd/sortlib/sync/
H A Dtest.c31 int status; member in struct:State_s
50 state->status = RS_ACCEPT;
61 state->status = RS_ACCEPT;
64 state->status = RS_DONE;
67 state->status = RS_DELETE;
70 state->status = RS_INSERT;
73 state->status = RS_ACCEPT;
83 state->status = RS_DELETE;
91 state->status = RS_TERMINATE;
95 return state->status;
[all...]
/ast/src/cmd/nmake/
H A Dcommand.c45 #define STATUS (~PUSHED) /* status mask */
84 int status; /* job status */ member in struct:Joblist_s
159 if (r->status != TOUCH)
160 r->status = r->time ? EXISTS : (r->property & P_dontcare) ? IGNORE : FAILED;
224 r->status = UPDATE;
345 job->status |= PUSHED;
406 job->status &= ~PUSHED;
424 p->rule->status = EXISTS;
646 job->status
[all...]
H A Darchive.c83 else if ((r = getrule(ent->name)) && r->status == TOUCH)
87 r->status = EXISTS;
99 * check for any untouched r->status==TOUCH members
109 if (r->status == TOUCH)
111 r->status = FAILED;
133 r->status = TOUCH;
/ast/src/cmd/ksh93/tests/
H A Dexit.sh61 status=$(echo $?)
62 if [[ -o noprivileged && $status != 0 ]]
64 elif [[ -o privileged && $status == 0 ]]
H A Dpath.sh156 status=$?
157 [[ $status == 126 ]] || err_exit "exit status of non-executable is $status -- 126 expected"
257 status=$($SHELL -c $'trap \'print $?\' EXIT;/xxx/a/b/c/d/e 2> /dev/null')
258 [[ $status == 127 ]] || err_exit "not found command exit status $status -- expected 127"
259 status=$($SHELL -c $'trap \'print $?\' EXIT;/dev/null 2> /dev/null')
260 [[ $status
[all...]
H A Dsignal.sh190 *d*) tst-2 $1 $2; status=$? ;;
191 *) $2 -c "tst-2 $1 $2"; status=$? ;;
193 printf '1-%04d\n' $status
219 *d*) tst-3 $1 $2; status=$? ;;
220 *) $2 -c "tst-3 $1 $2"; status=$? ;;
222 printf '2-%04d\n' $status
304 [[ $e == 3 ]] || err_exit "exit status failed -- expected 3, got $e"
312 [[ $e == 3 ]] || err_exit "exit status failed -- expected 3, got $e"
320 [[ $e == 3 ]] || err_exit "exit status failed -- expected 3, got $e"
328 [[ $e == 3 ]] || err_exit "exit status faile
[all...]
/ast/src/lib/libast/disc/
H A Dsfdctee.c35 int status; /* if tee stream is still ok */ member in struct:_tee_s
52 if(te->status == 0 && sfwrite(te->tee,buf,size) != (ssize_t)size)
53 te->status = -1;
94 te->status = 0;
/ast/src/cmd/INIT/
H A Dexecrate.sh43 [+?With no arguments \bexecrate\b exits with status 0 if the current system
141 0:*) status=0
149 *) status=$? ;;
152 exit $status
/ast/src/cmd/dss/
H A Ddss.c93 "[v:verbose?Enable verbose status messages.]"
185 int status; local
217 status = 0;
304 status = 1;
306 status = 1;
307 return status;
/ast/src/cmd/tests/vmalloc/
H A Dtsafemalloc.c90 void *status; local
107 { if((rv = pthread_join(th[i], &status)) != 0 )
109 tinfo("Thread %d return error %ld", i, (long)status);
/ast/src/lib/libtk/compat/
H A Dstdlib.h31 extern void exit _ANSI_ARGS_((int status));
/ast/src/lib/libmam/
H A Dmam.h55 int status; /* action exit status */ member in struct:rule
112 int status; /* exit status */ member in struct:proc
/ast/src/cmd/tests/cdt/
H A Dtsafetree.c105 int status; local
108 pid = wait(&status);
109 if(WIFSIGNALED(status))
110 { int sig = WTERMSIG(status);
114 else if(WCOREDUMP(status))
119 if(status)
120 terror("Child process %d exit code %d", pid, status);
/ast/src/lib/libz/
H A Ddeflate.c299 s->status = FINISH_STATE;
327 (strm->state->wrap == 1 && strm->state->status != INIT_STATE))
378 s->status = s->wrap ? INIT_STATE : BUSY_STATE;
567 (s->status == FINISH_STATE && flush != Z_FINISH)) {
577 if (s->status == INIT_STATE) {
594 s->status = BUSY_STATE;
619 s->status = EXTRA_STATE;
640 s->status = BUSY_STATE;
652 if (s->status == EXTRA_STATE) {
674 s->status
862 int status; local
[all...]

Completed in 32 milliseconds

12345